NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_break(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_break - Stop processing of the current ADP

## Table Of Contents

## Synopsis

- ns_adp_break ?retval?

## Description

This command stops processing of the current ADP by throwing a Tcl error along with an "ADP exception" of ADP_BREAK. Unlike ns_adp_abort, any output in the ADP buffer is preserved and queued to be sent to the client. The optional retval becomes the return value of the ADP if specified, otherwise an empty string is returned.

## COMMANDS

ns_adp_break ?retval?

## EXAMPLES

       if {$serveThisADP == 0} {
           ns_adp_break
       }

## See Also

ns_adp, ns_adp_abort, ns_adp_break, ns_adp_close, ns_adp_ctl, ns_adp_dump, ns_adp_flush, ns_adp_return, ns_adp_stream

## Keywords

ADP